/***
 * Julia
 * Copyright (C) 2009 Bull S.A.S.
 * Copyright (C) 2009 INRIA, SARDES
 * Contact: fractal@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * --------------------------------------------------------------------------
 * $Id: OSGiContextController.java 9984 2009-06-12 12:26:41Z loris $
 * --------------------------------------------------------------------------
 */

package org.ow2.fractal.julia.osgi.api.control;

import org.osgi.framework.BundleContext;

/**
 * A component interface to store a reference of the {@link BundleContext} to which it belongs.
 *
 * @author Julien Legrand
 * @author Jakub Kornas
 *
 */
public interface OSGiContextController {

    /**
     * Set the bundle context.
     * @param context the bundle context
     */
    void setBundleContext(BundleContext context);

    /**
     * @return the bundle context
     */
    BundleContext getBundleContext();

}
